summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_world_install.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2010-04-06 10:11:41 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2010-04-23 13:52:30 +0200
commit8c2eeee753597e919dffc5254dad54e9ec6f8947 (patch)
tree48e1c40bbf034278d2d6c64ff58ba8c476940d2c /scripts/lib/ptxd_make_world_install.sh
parent5cc9b8b3cd7b57ddc9de0280e703e3041a5874c8 (diff)
downloadptxdist-8c2eeee753597e919dffc5254dad54e9ec6f8947.tar.gz
ptxdist-8c2eeee753597e919dffc5254dad54e9ec6f8947.tar.xz
[install] use chrpath in ptxd_make_world_install_unpack to fix the rpath of host-tools
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_world_install.sh')
-rw-r--r--scripts/lib/ptxd_make_world_install.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/lib/ptxd_make_world_install.sh b/scripts/lib/ptxd_make_world_install.sh
index 21fd58125..236edca7b 100644
--- a/scripts/lib/ptxd_make_world_install.sh
+++ b/scripts/lib/ptxd_make_world_install.sh
@@ -139,6 +139,14 @@ ptxd_make_world_install_post() {
if [ \! -d "${pkg_pkg_dir}" ]; then
return
fi &&
+ # fix rpaths in host/cross tools
+ if [ "${pkg_type}" != "target" ]; then
+ find "${pkg_pkg_dir}" ! -type d -executable -print | while read file; do
+ if chrpath "${file}" > /dev/null 2>&1; then
+ chrpath --replace "${PTXDIST_SYSROOT_HOST}/lib" "${file}" || return
+ fi
+ done
+ fi &&
# prefix paths in la files with sysroot
find "${pkg_pkg_dir}" \( -name "*.la" -o -name "*.prl" \) -print0 | xargs -r -0 -- \
sed -i -e "s:@SYSROOT@:${pkg_sysroot_dir}:g" &&